Bug 1459243 - Message 'Cannot edit VM. Physical Memory Guaranteed cannot exceed Memory Size' is logged as INFO in automation.log
Message 'Cannot edit VM. Physical Memory Guaranteed cannot exceed Memory Size...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.6.0
x86_64 All
medium Severity medium
: GA
: 5.8.1
Assigned To: William Fitzgerald
Ilanit Stein
provision:support
: ZStream
Depends On: 1383732
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 11:38 EDT by Satoe Imaishi
Modified: 2017-08-02 13:26 EDT (History)
11 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1383732
Environment:
Last Closed: 2017-08-02 13:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-06 11:43:11 EDT
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/fe6ccb57ab74e6dd7f78c2ae891978672fdae4ca

commit fe6ccb57ab74e6dd7f78c2ae891978672fdae4ca
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Apr 26 08:50:12 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 6 11:38:18 2017 -0400

    Merge pull request #101 from billfitzgerald0120/log_cleanup1
    
    Change errors in log to error type.
    (cherry picked from commit 4bf53776c5f87096502faf60d335f34883f48cdf)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459243

 .../StateMachines/Provision.class/__methods__/check_provisioned.rb      | 2 +-
 .../StateMachines/Provision.class/__methods__/check_provisioned.rb      | 2 +-
 .../System/StateMachine/Deployment.class/__methods__/provision.rb       | 2 +-
 .../Generic/StateMachines/GenericLifecycle.class/__methods__/execute.rb | 2 +-
 .../StateMachines/GenericLifecycle.class/__methods__/preprocess.rb      | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)
Comment 3 CFME Bot 2017-06-06 13:59:36 EDT
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/76c00db8c70117a3305e09f79106f4b43a367991

commit 76c00db8c70117a3305e09f79106f4b43a367991
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Mon May 8 14:06:34 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 6 13:55:26 2017 -0400

    Merge pull request #104 from billfitzgerald0120/log_cleanup2
    
    Change exceeds message in log to warn type.
    (cherry picked from commit 5330cb9f558da906d6bd2ed94f9ff07658defa0b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459243

 .../Provision.class/__methods__/update_serviceprovision_status.rb | 1 +
 .../Provision.class/__methods__/update_serviceprovision_status.rb | 1 +
 .../StackRetirement.class/__methods__/update_retirement_status.rb | 2 ++
 .../__methods__/validate_request.rb                               | 6 +++---
 .../VMProvision_VM.class/__methods__/update_provision_status.rb   | 1 +
 .../VMRetirement.class/__methods__/update_retirement_status.rb    | 2 ++
 .../Provision.class/__methods__/update_serviceprovision_status.rb | 1 +
 .../Methods.class/__methods__/cluster_workload_management.rb      | 4 ++--
 .../__methods__/validate_request.rb                               | 8 ++++----
 .../__methods__/update_provision_status.rb                        | 1 +
 .../VMProvision_VM.class/__methods__/update_provision_status.rb   | 1 +
 .../VMRetirement.class/__methods__/update_retirement_status.rb    | 2 ++
 .../GenericLifecycle.class/__methods__/update_status.rb           | 1 +
 .../__methods__/update_serviceprovision_status.rb                 | 1 +
 .../__methods__/update_service_retirement_status.rb               | 2 ++
 .../QuotaMethods.class/__methods__/validate_quota.rb              | 4 ++--
 16 files changed, 27 insertions(+), 11 deletions(-)
Comment 4 Ilanit Stein 2017-07-13 10:30:48 EDT
Verified on CFME-5.8.1.2/RHV-4.1.3:

Steps:
Had a template with 2G physical memory, and 2G Guaranteed memory.
Provisioned VM from this template on CFME side.
Set physical memory to 1G.

The Provision request failed on:
"[EVM] VM [istein__prov] Step [CheckProvisioned] Status [Error Creating VM] Message [[Ovirt::Error]: [Cannot edit VM. Physical Memory Guaranteed cannot exceed Memory Size.]]"

Automation.log contain:
[----] E, [2017-07-13T10:23:37.811909 #15146:cba3b8] ERROR -- : Q-task_id([miq_provision_9]) <AEMethod update_provision_status> VM Provision Error: [EVM] VM [istein__prov] Step [CheckProvisioned] Status [Error Creating VM] Message [[Ovirt::Error]: [Cannot edit VM. Physical Memory Guaranteed cannot exceed Memory Size.]]

evm.log contain:
[----] E, [2017-07-13T10:23:37.811751 #15146:cba3b8] ERROR -- : Q-task_id([miq_provision_9]) <AutomationEngine> <AEMethod update_provision_status> VM Provision Error: [EVM] VM [istein__prov] Step [CheckProvisioned] Status [Error Creating VM] Message [[Ovirt::Error]: [Cannot edit VM. Physical Memory Guaranteed cannot exceed Memory Size.]]
Comment 6 errata-xmlrpc 2017-08-02 13:26:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.